import os
import random
import shutil

# Path to your custom videos and the game's video folder
custom_videos_path = './videos'
game_video_folder = '../../../Movies'


# The name of the file in the game folder
target_file_name = 'BG_LoginVideo_01.bk2'

# List all .bk2 files in your custom videos directory
videos = [os.path.join(custom_videos_path, f) for f in os.listdir(custom_videos_path) if f.endswith('.bk2')]

# Select a random video
selected_video = random.choice(videos)

# The complete path for the new file in the game's directory
new_file_path = os.path.join(game_video_folder, target_file_name)

# Copy and rename the selected video to the target file name in the game's directory
shutil.copyfile(selected_video, new_file_path)
